# Change Log
All notable changes to this project will be documented in this file.
This project adheres to [Semantic Versioning](http://semver.org/).

## [Unreleased]
### Added
- Interactive setup
- GitHub and Slack authentication providers are now available
- Experimental: LDAP authentication provider

### Changed
- Content headers are now showing an anchor icon instead of a #
- Sidebar: Contents is now Page Contents
- Sidebar: Start is now Top of Page
- Replaced farmhash with md5 (native compilation removal)
- Replaced sharp with jimp (native compilation removal)
- Replaced leveldown with memdown (native compilation removal)

### Fixed
- Search index should now update upon article creation
- Missing icons on login page

## [v1.0.0-beta.8] - 2017-02-19
### Added
- Automated Upgrade / Re-install feature UI only
- npm installation improvements

### Fixed
- wiki executable shortcut on linux
- Settings page is now displaying the correct current version

## [v1.0.0-beta.7] - 2017-02-14
### Fixed
- npm installation fixes

## [v1.0.0-beta.6] - 2017-02-14
### Added
- Settings page UI
- Automated process management
- npm automatic site installation

## [v1.0-beta.5] - 2017-02-12
### Added
- Offline mode (no remote git sync) can now be enabled by setting `git: false` in config.yml
- Improved search engine (Now using search-index engine instead of MongoDB text search)

### Changed
- Cache is now flushed when starting / restarting the server

## [v1.0-beta.4] - 2017-02-11
### Fixed
- Fixed folder name typo during uploads folder permissions check
- Fixed SSH authentication for Git

### Changed
- Removed separate OAuth authentication option. Select basic authentication to use tokens.

## [v1.0-beta.3] - 2017-02-10
### Added
- Change log
- Added .editorconfig, .eslintrc.json and .pug-lintrc.json for code linting
- Added Create / Authorize User feature
- Added Delete / De-authorize User feature
- Added Login as... button to Forbidden page

### Fixed
- Fixed issue with social accounts with empty name
- Fixed standard error page styling

### Changed
- Updated dependencies + snyk policy
- Conversion to Standard JS compliant code
- Accounts that are not pre-authorized are no longer added with no rights

## [v1.0-beta.2] - 2017-01-30
### Added
- Save own profile under My Account

### Changed
- Updated dependencies + snyk policy

[Unreleased]: https://github.com/Requarks/wiki/compare/v1.0-beta.4...HEAD
[v1.0-beta.4]: https://github.com/Requarks/wiki/releases/tag/v1.0-beta.4
[v1.0-beta.3]: https://github.com/Requarks/wiki/releases/tag/v1.0-beta.3
[v1.0-beta.2]: https://github.com/Requarks/wiki/releases/tag/v1.0-beta.2
